BIND: Denial of Service — GLSA 201701-26

A vulnerability in BIND might allow remote attackers to cause a Denial of Service condition.

Affected Packages

net-dns/bind on all architectures
Affected versions < 9.10.4_p4
Unaffected versions >= 9.10.4_p4

Background

BIND (Berkeley Internet Name Domain) is a Name Server.

Description

A defect in BIND’s handling of responses containing a DNAME answer can cause a resolver to exit after encountering an assertion failure in db.c or resolver.c.

Impact

A remote attacker could send a specially crafted DNS request to the BIND resolver possibly resulting in a Denial of Service condition.

Workaround

There is no known workaround at this time.

Resolution

All BIND users should upgrade to the latest version:

 # emerge --sync
 # emerge --ask --oneshot --verbose ">=net-dns/bind-9.10.4_p4"
 

References

Release Date
January 11, 2017

Latest Revision
January 11, 2017: 1

Severity
normal

Exploitable
remote

Bugzilla entries